## org.w3c.jigsaw.servlet
Class QLocale

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.QLocale

public class QLocale
extends java.lang.Object

Field Summary
`protected java.util.Locale` `locale`
`protected double` `quality`

Constructor Summary
`QLocale(java.lang.String language, java.lang.String country, double quality)` Construct a locale from language, country and quality.

Method Summary
`double` `getLanguageQuality()`
`java.util.Locale` `getLocale()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### quality

    protected double quality

### locale

    protected java.util.Locale locale

Constructor Detail

### QLocale

    public QLocale(java.lang.String language,
                   java.lang.String country,
                   double quality)

  Construct a locale from language, country and quality.

Method Detail

### getLanguageQuality

    public double getLanguageQuality()

### getLocale

    public java.util.Locale getLocale()